MP3GAIN(1)

NAME
mp3gain - analyzes and adjusts mp3 files so that they have the same volume

SYNOPSIS
mp3gain [options] <infile> [<infile 2> ...]

DESCRIPTION
Tired of reaching for your volume knob every time your mp3 player changes to a new song? MP3Gain analyzes and adjusts mp3 files so that they have the same volume.

MP3Gain does not just do peak normalization, as many normalizers do. Instead, it does some statistical analysis to determine how loud the file actually sounds to the human ear.

Also, the changes MP3Gain makes are completely lossless. There is no quality lost in the change because the program adjusts the mp3 file directly, without decoding and re-encoding.

OPTIONS

-v  show version number

-g <i>
    apply gain i to mp3 without doing any analysis

-l 0 <i>
    apply gain i to channel 0 (left channel) of mp3 without doing any analysis (ONLY works for STEREO mp3s, not Joint Stereo mp3s)

-l 1 <i>
    apply gain i to channel 1 (right channel) of mp3

-r  apply Track gain automatically (all files set to equal loudness)

-k  automatically lower Track/Album gain to not clip audio

-a  apply Album gain automatically (files are all from the same album: a single gain change is applied to all files, so their loudness relative to each other remains unchanged, but the average album loudness is normalized)

-m <i>
    modify suggested MP3 gain by integer i

-d <n>
    modify suggested dB gain by floating-point n

-c  ignore clipping warning when applying gain

-o  output is a database-friendly tab-delimited list

-t  mp3gain writes modified mp3 to temp file, then deletes original instead of modifying bytes in original file

-q  Quiet mode: no status messages

-p  Preserve original file timestamp

-x  Only find max. amplitude of mp3

-f  Force mp3gain to assume input file is an MPEG 2 Layer III file (i.e. don't check for mis-named Layer I or Layer II files)

-? or -h
    show this message

-s c
    only check stored tag info (no other processing)

-s d
    delete stored tag info (no other processing)

-s s
    skip (ignore) stored tag info (do not read or write tags)

-s r
    force re-calculation (do not read tag info)

-u  undo changes made by mp3gain (based on stored tag info)

-w  "wrap" gain change if gain+change > 255 or gain+change < 0 (use "-? wrap" switch for a complete explanation)

If you specify -r and -a, only the second one will work. If you do not specify -c, the program will stop and ask before applying gain change to a file that might clip.

AUTHORS
Coding by Glen Sawyer
Unix-ification by Stefan Partheymüller
DLL-ification by John Zitterkopf
Additional tweaks by Artur Polaczynski, Mark Armbrust, and others

Man page created by B. Watson for the SlackBuilds.org project, but may be used by others.

COPYRIGHT
Copyright(c) 2001-2004 by Glen Sawyer.

mp3gain uses mpglib, which can be found at http://www.mpg123.de.

mp3gain is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

SEE ALSO
normalize(1)